NDefines = {

NGame = {
	START_DATE = "1444.11.11",
	END_DATE = "1821.1.2",
	MAX_RANDOM_NEW_WORLD = "1492.1.1"
},

NDiplomacy = {
	PEACE_IMPACT_ADM_SCORE = 0.1,
	PEACE_IMPACT_DIP_SCORE = 0.1,
	PEACE_IMPACT_MIL_SCORE = 0.1,

	RIVAL_PRESTIGE_BONUS = 0.25,
	RIVAL_SPY_OFFENCE = 0.20,
	OVEREXTENSION_THRESHOLD = 1.0,				-- at which threshold you can get events
	OVEREXTENSTION_POLL_BASE = 365,				-- days between at lower.
	OVEREXTENSTION_POLL_CHANGE = 0.05,				-- each % reduces with this.
	RIVAL_PEACE_COST_REDUCTION = -0.33,	
	DESIRED_NUM_OF_ELECTORS = 7,
	LACK_OF_ELECTORS_HIT = -0.1,
	IMPERIAL_REFORM_COST = 50,						-- Minium Cost of enacting a new reform.
	DEFENDER_OF_FAITH_COST = 500, 					-- _DDEF_DEFENDER_OF_FAITH_COST_
	DEFENDER_OF_FAITH_MONTHS = 24, 					-- _DDEF_DEFENDER_OF_FAITH_MONTHS_ (Minimum months before it can be taken from another country with less prestige)
	AMOUNT_OF_ACTIVE_CARDINALS = 7, 				-- Number of active Cardinals
	AMOUNT_OF_FUTURE_CARDINALS = 5, 				-- Number of future Cardinals
	EXCOMMUNICATE_ACTION_MONTHS = 36, 				-- Excommunication "cooldown" (months)
	CRUSADE_TIMEOUT_YEARS = 30, 					-- Crusade timeout (years)
	END_OF_CRUSADES = 1650, 						-- End of Crusade/Excommunicate actions. AI might also befriend old religious enemies.
	WE_IMPACT_ON_ANNEX_INTEGRATE = -0.05,			-- multiplied with current WE
	EMPEROR_VOTE_DAYS = 60,	 						-- _DDEF_EMPEROR_VOTE_DAYS_; "Cooldown" until Electors can change their vote again.
	TRUCE_YEARS = 5, 								-- _DDEF_TRUCE_YEARS_; Years of Truce
	SCALED_TRUCE_YEARS = 10,						-- Additional years of truce based on % of warscore taken in war (100% warscore = full scaled truce years)
	WARNING_YEARS = 20,								-- Years before warning expire
	ANNUL_TREATIES_YEARS = 10,						-- Years before annul treaties expire
	COALITION_YEARS = 20,							-- Years before coalition expire
	GUARANTEE_YEARS = 20,							-- Years before guarantee expire
	MONARCH_GOV_CHANGE_LEGITIMACY_PENALTY = 0.0,	-- Penalty(%) on the legitimacy when changing gov type to the monarchy
	BASE_SPY_DISCOVERY_CHANCE = 0.25,
	PRESTIGE_PENALTY_ON_DISCOVER_INFILTRATE = -15,		-- Penalty to prestige if your agent gets discovered while infiltrating administration
	JUSTIFY_TRADE_CONFLICT_LIMIT = 0.2,			-- How big share of the trade power needed on the target to be able to justify a trade conflict
	JUSTIFY_TRADE_CONFLICT_ACTOR_LIMIT = 0.1,	-- How big share of the trade power needed on the actor to be able to justify a trade conflict
	PRESTIGE_PENALTY_ON_DISCOVER_JTC = -5,
	
	AE_OTHER_CONTINENT = 10,
	AE_SAME_CULTURE = 0.5,
	AE_SAME_CULTURE_GROUP = 0.25,
	AE_INFIDEL_CONQUEST = 0.5, 		-- different religion group conquered same religion province
	AE_SAME_RELIGION = 0.5,
	AE_SAME_RELIGION_GROUP = 0.0,
	AE_DIFFERENT_RELIGION = -0.5,
	AE_HRE_INTERNAL = 0.5,
	AE_ATTACKER_PROVINCE = 0.0,
	AE_DISTANCE_BASE = 0.75,
	AE_SAME_OVERLORD = 0.5,	
	
	AE_FABRICATE_CLAIM = 7.5,
	AE_TRADE_CONFLICT = 7.5,
	
	-- Peace Option Effects, base values for the winner. The loser gets the inverse.
	PO_ANNEX_BADBOY = 10, 							-- _DDEF_PO_ANNEX_BADBOY = 10, (No effect on loser :)
	PO_DEMAND_PROVINCES_BADBOY = 5, 				-- _DDEF_PO_DEMAND_PROVINCES_BADBOY = 10, (Per province)
	PO_REVOKE_CORES_BADBOY = 0, 					-- _DDEF_PO_REVOKE_CORES_BADBOY = 10, (Per core, Not applied to the winner)
	PO_RETURN_CORES_BADBOY = 7.5, 					-- (Per core, only applied if returning cores to vassals of winner)
	PO_RELEASE_VASSAL_BADBOY = 0, 					-- _DDEF_PO_RELEASE_VASSAL_BADBOY = 10, (Not applied to the winner)
	PO_RELEASE_ANNEXED_BADBOY = 0, 					-- _DDEF_PO_RELEASE_ANNEXED_BADBOY = 10, (Per province, not applied to the winner)
	PO_CHANGE_RELIGION_BADBOY = 0, 					-- _DDEF_PO_CHANGE_RELIGION_BADBOY = 10, (Not applied to the winner)
	PO_FORM_PU_BADBOY = 2.5, 							-- _DDEF_PO_FORM_PU_BADBOY = 10, (Per province)
	PO_GOLD_BADBOY = 0, 							-- _DDEF_PO_GOLD_BADBOY = 10, (Per month of income, not applied to the winner)
	PO_BECOME_VASSAL_BADBOY = 7.5, 					-- _DDEF_PO_BECOME_VASSAL_BADBOY = 10, (Per province)
	PO_BECOME_PROTECTORATE_BADBOY = 5, 					-- _DDEF_PO_BECOME_VASSAL_BADBOY = 10, (Per province)
	PO_CONCEDE_DEFEAT_BADBOY = 0, 					-- _DDEF_PO_CONCEDE_DEFEAT_BADBOY = 10, (Not applied to the winner)
	PO_ANNUL_TREATY_BADBOY = 0, 					-- _DDEF_PO_ANNUL_TREATY_BADBOY = 10,
	PO_ANNEX_PRESTIGE = 2, 						-- _DDEF_PO_ANNEX_PRESTIGE = 10, (No effect on loser :)
	PO_DEMAND_PROVINCES_PRESTIGE = 2, 				-- _DDEF_PO_DEMAND_PROVINCES_PRESTIGE = 10, (Per province)
	PO_REVOKE_CORES_PRESTIGE = 2, 					-- _DDEF_PO_REVOKE_CORES_PRESTIGE = 10, (Per core)
	PO_RETURN_CORES_PRESTIGE = 3, 					-- (Per core)
	PO_RELEASE_VASSAL_PRESTIGE = 5, 				-- _DDEF_PO_RELEASE_VASSAL_PRESTIGE = 10,
	PO_RELEASE_ANNEXED_PRESTIGE = 2, 				-- _DDEF_PO_RELEASE_ANNEXED_PRESTIGE = 10, (Per released province)
	PO_CHANGE_RELIGION_PRESTIGE = 5, 				-- _DDEF_PO_CHANGE_RELIGION_PRESTIGE = 10,
	PO_FORM_PU_PRESTIGE = 10, 						-- _DDEF_PO_FORM_PU_PRESTIGE = 10,
	PO_GOLD_PRESTIGE = 0.0, 						-- _DDEF_PO_GOLD_PRESTIGE = 10, (Per month of income)
	PO_BECOME_VASSAL_PRESTIGE = 2, 					-- _DDEF_PO_BECOME_VASSAL_PRESTIGE = 10,
	PO_BECOME_PROTECTORATE_PRESTIGE = 2,
	PO_CONCEDE_DEFEAT_PRESTIGE = 10, 				-- _DDEF_PO_CONCEDE_DEFEAT_PRESTIGE_
	PO_ANNUL_TREATY_PRESTIGE = 3, 					-- _DDEF_PO_ANNUL_TREATY_PRESTIGE = 10,
	PO_REVOKE_ELECTOR_BADBOY = 25,
	PO_REVOKE_ELECTOR_PRESTIGE = 5,
	PO_TRADE_POWER_BADBOY = 0,
	PO_TRADE_POWER_PRESTIGE = 2,	
	
	PO_ENFORCE_FLEET_BASING_BADBOY = 0,
	PO_ENFORCE_FLEET_BASING_PRESTIGE = 2,
	PO_ENFORCE_MIL_ACCESS_BADBOY = 0,
	PO_ENFORCE_MIL_ACCESS_PRESTIGE = 2,
	
	PEACE_COST_DEMAND_PROVINCE = 1,					-- Demand a province (scales by province wealth, also used for annex)
	PEACE_COST_BECOME_VASSAL = 1,					-- Vassalize a country (scales by province wealth)
	PEACE_COST_RETURN_CORE = 1,						-- Return a core (scales by province wealth)
	PEACE_COST_REVOKE_CORE = 1,						-- Revoke a core (scales by province wealth)
	PEACE_COST_RELEASE_ANNEXED = 1,					-- Release annexed nation (scales by province wealth)
	PEACE_COST_RELEASE_VASSAL = 1,					-- Release vassal (scales by province wealth)
	PEACE_COST_REVOKE_ELECTOR = 60,					-- Revoke an elector title	
	PEACE_COST_UNION = 10, 							-- _DDEF_PEACE_COST_UNION_ Peace cost for forming a personal union
	PEACE_COST_CONVERSION = 0.5,					-- scaled with countrysize for forced conversion in peace.
	PEACE_COST_RELEASE = 1, 						-- _DDEF_PEACE_COST_RELEASE_ Base Peace cost for releasing an annexed country (also increases with nr of provinces)
	PEACE_COST_CONCEDE = 5, 						-- _DDEF_PEACE_COST_CONCEDE_ Base Peace cost for conceding defeat
	PEACE_COST_GOLD_STEP = 1, 						-- _DDEF_PEACE_COST_GOLD_STEP_ Peace Cost for 1 month of income
	PEACE_COST_ANNUL = 5, 							-- _DDEF_PEACE_COST_ANNUL_ Peace cost for annulment of treaties
	PEACE_COST_CHANGE_GOVERNMENT = 20, 				-- _Peace cost for changing government form
	PEACE_COST_TRADE_POWER = 20, 					-- Peace cost for demanding trade power
	PEACE_COST_INDEPENDANCE = 15, 					-- Peace cost for breaking free of union
	PEACE_COST_ENFORCED_FLEET_BASING_RIGHTS = 15,   -- Peace cost for enforced fleet basing righs
	PEACE_COST_ENFORCED_MILITARY_ACCESS = 10,       -- Peace cost for enforced military access
	
	PO_TRADE_POWER_AMOUNT = 0.5,						-- Transfer 50% of trade power on peace option
	PO_HUMILIATE_PRESTIGE_HIT = 20,						
	PO_HUMILIATE_POWER_GAIN = 20,
	MAX_ANNEX_SIZE = 10000, 						-- _DDEF_MAX_ANNEX_SIZE_ (Max number of provinces that can be annexed at once)
	
	ANNEX_DIP_COST_PER_BASE_TAX = 5,
	
	
	DEFENDER_BADBOY_MULT = 0.5, 					-- _DDEF_DEFENDER_BADBOY_MULT_ (Infamy multiplied by this for defenders in peace treaties, unless the CB is "mutual" )
	PO_REVOKE_REFORM_BADBOY = 0, 					-- _DDEF_PO_REVOKE_REFORM_BADBOY_
	PO_REVOKE_REFORM_PRESTIGE = 10, 				-- _DDEF_PO_REVOKE_REFORM_PRESTIGE_
	PO_REVOKE_REFORM_PEACE_COST = 100, 				-- _DDEF_PO_REVOKE_REFORM_PEACE_COST_
	
	DIP_PORT_FEES = 0.1,							-- DIP_PORT_FEES
	IMPROVE_RELATION_MAX = 25,						-- IMPROVE_RELATION_MAX
	IMPROVE_RELATION_SPEED = 1,						-- IMPROVE_RELATION_SPEED
	DAYS_TO_FABRICATE_CLAIM = 365,					-- DAYS_TO_FABRICATE_CLAIM
	DAYS_TO_JUSTIFY_TRADE_CONFLICT = 270,		-- DAYS_TO_JUSTIFY_TRADE_CONFLICT
	STABHIT_FOR_BREAKING_ALLIANCE_IN_WAR = 2,
	PENALTY_FABRICATE_DISCOVERED = 10,
	WARGOAL_PEACE_FRACTION = 0.66,					-- Fraction of warscore you need for wargoal
	CLAIM_PEACE_COST_DIP_FRACTION = -0.1,			-- Fraction of dipcost you pay for claims
	CORE_PEACE_COST_DIP_FRACTION = -0.2,			-- Fraction of dipcost you pay for cores
	CANCEL_TRADE_TRANSFER_PRESTIGE_HIT = -5,
	
	DIPLOMAT_SPEED = 20.0,							-- DIPLOMAT_SPEED
	DIPLOMAT_COOLDOWN_TIME = 1,						-- DIPLOMATIC ACTION COOLDOWN IN MONTHS
	MIN_RELATIONS_TO_ALLY = 0,						-- Alliances not possible if either country has an opinion of the other lower than this
	MIN_RELATIONS_TO_SUPPORT_INDEPENDENCE = -25,	-- Support Independence not possible if either country has an opinion of the other lower than this
	LACK_OF_RIVAL_SCORE_PENALTY = 0.25,			-- Monthly score is changed by this for each rival short of expected amount
	
	ELECTIVE_VICTORY_PRESTIGE = 25,				-- Prestige for getting a heir from your country onto the throne of an elective nation
	ELECTIVE_VICTORY_LEGITIMACY = 10,				-- Legitimacy for getting a heir from your country onto the throne of an elective nation
},

NCountry = {
	SUPPORT_OWN_HEIR_LEGITIMACY_COST = 5,
	SUPPORT_OWN_HEIR_SUPPORT_BONUS = 5,
	MAX_ACTIVE_POLICIES = 5,						-- how many active policies at once.
	MINIMUM_POLICY_TIME = 10,						-- how many years minimum for a policy
	POLICY_COST = 1,								-- Monthly cost per policy
	MAX_WAR_EXHAUSTION = 20,
	FOREIGN_REBEL_SUPPORT = 4,
	COUNTRIES_GETTING_SCORE = 10,
	WESTERNISATION_THRESHOLD = 7,					-- techs behind to be allowed to westernize.
	WESTERN_POWER_TICK = 10,					-- max power to transfer every month.
	WESTERN_POWER_TICK_MIN = 1,				-- min power to transfer every month.
	WESTERN_NEEDED_BASE_POWER = 2000,					-- needed for full westernisation
	WESTERN_NEEDED_MAX_POWER = 5000,					-- needed for full westernisation
	WESTERN_POWER_TICK_REDUCTION_FACTOR = 15,		-- reduce max power transfer by 1 for each multiplication of this in total monthly income.
	NAVAL_FORCELIMIT_PORTS = 0.5,					-- factor for basetax on ports impact on forcelimit
	LAND_FORCELIMIT_TAX = 0.25,						-- factor on basetax on provs for forcelimits
	NAVAL_FORCELIMIT_MERCHANTS = 5,					-- increase per merchant above base_value merchants.
	LAND_FORCELIMIT_EXTRA_COST_FACTOR = 2,			-- extra expense for being above forcelimit
	NAVAL_FORCELIMIT_EXTRA_COST_FACTOR = 1,			-- extra expense for being above forcelimit	
	REPUBLICAN_TRADITION_YEARLY_INCREASE = 0.01,	-- how much it increases each year.
	PIETY_PERCENTAGE_AT_NEW_RULER = 0.25,			-- percentage of piety kept at new ruler.
	PIETY_INCREASE_AT_GOOD_WAR = 0.25,
	PIETY_DECREASE_AT_BAD_WAR = -0.33,
	ADVISOR_COST_INCREASE_PER_YEAR = 0.01,			-- yearly increase in price in percent,
	MINIMUM_ADVISOR_DURATION = 10, 					-- _CDEF_MINIMUM_ADVISOR_DURATION_
	MINIMUM_ADVISOR_DURATION_CHANCE_VALUE = 15,		-- Higher value here gives lower daily death chance after MINIMUM_ADVISOR_DURATION
	ADVISOR_CUT_OFF_AGE = 30, 						-- _CDEF_ADVISOR_CUT_OFF_AGE = 10,
	CULTURE_LOSS_THRESHOLD = 0.10, 					-- _CDEF_CULTURE_LOSS_THRESHOLD = 10,
	CULTURE_GAIN_THRESHOLD = 0.20, 					-- _CDEF_CULTURE_GAIN_THRESHOLD = 10,
	MONARCH_DEATH = 4, 								-- _CDEF_MONARCH_DEATH_
	HEIR_DEATH = 1, 								-- _CDEF_HEIR_DEATH_	(Only applies for heirs older than 20, and the chance increases with age.)
	LEGITIMACY_DYNASTY_CHANGE = 20,					-- Legitimacy a new dynasty starts out with
	BASE_POWER_INCREASE = 3,						-- monthly base increase
	NAT_FOCUS_DECREASE = -1,							-- power taken away from non national focus power
	NAT_FOCUS_INCREASE = 2,							-- extra power given to national focus power
	NAT_FOCUS_YEARS = 25,							-- years before you can change focus again
	POWER_MAX = 999,								-- how much power can be stored at maximum.
	DISMANTLE_HRE_PRESTIGE = 100,					-- Prestige gain on dismantling HRE
	FREE_IDEA_GROUP_COST  = 3,						-- modifier on cheapness of "free" idea group
	MAX_TOLERANCE_HERETIC = 3, 						-- maximum tolerance towards heretics
	MAX_TOLERANCE_HEATHEN = 3, 						-- maximum tolerance towards heathens
	
	IDEA_TO_TECH = -0.02,			-- percentage on tech reduction per idea.
	TECH_TIME_COST = 0.3,			-- tech grow with 20% cost over time.
	TECH_AHEAD_OF_TIME = 0.1,		-- per year ahead.
	
	PS_BUY_IDEA = 400,
	PS_BUY_NATIVE_ADVANCEMENT = 500,
	PS_ADVANCE_TECH = 600,
	PS_BOOST_STABILITY = 100,
	PS_BUY_LEADER = 50,
	PS_BUILD_BUILDING = 10,
	PS_ASSAULT = 5,
	PS_FORCE_MARCH = 2,
	PS_DEMAND_NON_WARGOAL_PROVINCE = 50,
	PS_DEMAND_NON_WARGOAL_PEACE = 25,
	PS_DEMAND_NON_WARGOAL_PEACE_PRIMITIVES = 0,
	PS_MAKE_PROVINCE_CORE = 20,
	PS_REDUCE_INFLATION = 75,
	PS_MOVE_CAPITAL = 200,
	PS_MOVE_TRADE_PORT = 300,
	PS_REPLACE_RIVAL = 100,
	PS_SEIZE_COLONY = 25,
	PS_BURN_COLONY = 5,
	PS_ATTACK_NATIVES = 5,
	PS_SCORCH_EARTH = 5,
	PS_CHANGE_GOVERNMENT = 100,
	PS_CHANGE_CULTURE = 25,
	PS_CHANGE_CULTURE_OVERSEAS_RELIGION_MOD = -0.8,	-- Modifier how much cheaper it is to change culture in overseas province if same religion
	PS_HARSH_TREATMENT = 10,
	PS_REDUCE_WAREXHAUSTION = 75,
	PS_FACTION_BOOST = 10,
	PS_RAISE_TARIFFS = 25,
	PS_LOWER_TARIFFS = 75,
	PS_RAISE_WAR_TAXES = 50,
	PS_CREATE_TRADE_POST = 50,
	
	CORE_SAME_CULTURE_OVERSEAS = 0.1,				-- Multiplied with base tax, overseas province or colonized by country
	CORE_SAME_REGION = 0.25,						-- Multiplied with base tax, for colonial nations 
	CORE_SAME_CONTINENT = 0.75,						-- Multiplied with base tax, for colonial nations
	CORE_HAD_CLAIM = 0.25,							-- Impacts MODIFIER_CORE_CREATION

	FACTION_BOOST_SIZE = 10,
	WAREXHAUSTION_REDUCTION = 2,
	HARSH_TREATMENT_IN_MONTHS = 180,	
	
	CALL_ALLY_DECLINE_PRESTIGE_PENALTY = -25.0,		-- Prestige penalty for declining call for arms
	CLAIM_THRONE_PRESTIGE_PENALTY = -20.0,			-- Prestige penalty when claiming throne
	BREAK_VASSAL_PRESTIGE_PENALTY = -25.0,			-- Prestige penalty when break vassalisation
	BREAK_MARRIAGE_PRESTIGE_PENALTY = -1,			-- Prestige penalty when break royal marriage
	BREAK_MARRIAGE_STABILITY_PENALTY = -1,			-- Stability penalty when break royal marriage
	ANNEX_OR_INTEGRATE_PRESTIGE = 5.0,				-- Prestige gain on diplomatic annex or integrate
	PROVINCE_DISCOVERY_PRESTIGE = 1.0,				-- Prestige change when discovered province
	START_YEARLY_INFLATION = 0.0, 					-- _CDEF_START_YEARLY_INFLATION_
	CLAIM_LOSE = 25,								-- how many years until a claim is lost.
	CORE_LOSE = 50, 								-- how many years until a core is lost.
	CORE_LOSE_CULTURE_GROUP = 150,					-- how many years until a core in a country's culture group is lost.
	CORE_LOSE_PRIMARY_CULTURE_TAG = -1,				-- how many years until a core is lost for the primary tag of a country (-1 = never lost)
	CORE_LOSE_PRESTIGE = -10.0,						-- Prestige change when lost core
	NEIGHBOURBONUS = -0.05, 						-- _CDEF_NEIGHBOURBONUS_
	NEIGHBOURBONUS_CAP = -0.75, 					-- _CDEF_NEIGHBOURBONUS_CAP_
	POPULATION_GROWTH = 0.03, 						-- _CDEF_POPULATION_GROWTH_; Base population growth.
	COLONIAL_GROWTH_PENALTY = 100, 					-- growth penalty for low colonial maintenance
	YEARS_OF_NATIONALISM = 30, 						-- _CDEF_YEARS_OF_NATIONALISM_; Years of Nationalism
	YEARS_UNTIL_BROKEN = 2, 						-- _CDEF_YEARS_UNTIL_BROKEN_; Years until rebel held capital results in broken country.
	BASE_HEIR_BIRTH = 120, 							-- _CDEF_BASE_HEIR_BIRTH_
	AGE_OF_ADULTHOOD = 15, 							-- _CDEF_AGE_OF_ADULTHOOD_
	PROVINCE_BUILDING_LEVEL_THRESHOLD = 5, 			-- Level at which there can be only one of a building in each province	
	INITIAL_REGULAR_COLONY = 10,
	REGULAR_COLONY_GROWTH = 25,
	COLONIAL_NATION_GROWTH_IMPACT = 0.25,			-- colonies of colonial nations grow slower if desired.
	OVEREXTENSION_FACTOR = 4.0,				
	MISSIONARY_PROGRESS_ON_CHANCE = 1,				-- How many % the progress will boost on daily lucky-roll.
	MISSION_CANCEL_CHOOSE_NEXT_DELAY = 1,			-- How many years until you can choose a new mission after a cancel
	CORE_TIME_SIZE_MODIFIER = 0.04,					-- % longer per province owned.
	MONTHS_TO_CORE_MAXIMUM = 240,
	MONTHS_TO_CORE = 36,							-- How many months it will take to core a province.
	MONTHS_TO_CHANGE_CULTURE = 24,					-- How many months it will take to change culture in a province, per basetax.
	STARTING_FLEET_SIZE = 0.9, 						-- Starting fleet (as percentage of forcelimits)
	GALLEY_INLAND_SEA_COAST_RATIO = 0.75, 			-- % of ports that need to be inland seas for galleys to be considered important
	REBEL_BREAK_STABILITY_SET = 0,					-- Stability will be set to this value when rebels break country.
	REBEL_BREAK_EXHAUSTION_SET = 0, 				-- Exhaustion will be set to this value when rebels break country.
	REVOLT_SIZE_BASETAX_MULTIPLIER = 0.33,			-- Multiplied with the province's base tax
	REVOLT_SIZE_MANPOWER_MULTIPLIER = 0.33,			-- Multiplied with the province's manpower
	REVOLT_SIZE_REVOLTRISK_MULTIPLIER = 0.05,		-- Multiplied with the province's revolt risk
	REVOLT_SIZE_BASE = 3,
	REVOLT_TECH_IMPACT = 0.1, 			-- % each tech increases size of rebels by this percent.
	REVOLT_TECH_MORALE = 0.01,			-- 1% per tech level

	REBEL_ARTILLERY_INCREASE_LEVEL_1_TECH = 11,		-- Tech level at which REBEL_ARTILLERY_INCREASE_LEVEL_1_SIZE is applied
	REBEL_ARTILLERY_INCREASE_LEVEL_1_SIZE = 0.1,	-- The increase in artillery as fraction of total troops given to rebels
	REBEL_ARTILLERY_INCREASE_LEVEL_2_TECH = 16,		-- Tech level at which REBEL_ARTILLERY_INCREASE_LEVEL_2_SIZE is applied
	REBEL_ARTILLERY_INCREASE_LEVEL_2_SIZE = 0.15,	-- The increase in artillery as fraction of total troops given to rebels (does not stack with level 1)
	
	MIGRATION_BOOST = 50,							-- How many points given when migrating.
	MIGRATION_COOLDOWN = 60,						-- How many months until next migration is possible.
	MIGRATION_DEPLETION_TIME = 7200,				-- How many days a province needs to recover from migrants
	BASE_TARIFF = 0.10,								-- Basic part of colonies income that goes to tariffs
	TARIFF_INCREASE_STEP = 0.025,					-- Increase on each boost
	TARIFF_BOOST_LIBERTY_INCREASE = 5,			-- Liberty increase for each tariff step
	TARIFF_DECREASE_STEP = -0.025,					-- Decrease on each boost
	TARIFF_LOWER_LIBERTY_DECREASE = -3,			-- Liberty decrease for each tariff step
	LIBERTY_CAN_DECLARE_INDEPENDANCE = 50, 		-- Limit for when a colonial state may declare independance
	LIBERTY_AUTO_INDEPENDANCE = 100,				-- Limit for when a colonial state automatically declares independace
	HIGH_LIBERTY_ALERT = 50, 						-- Limit for when the overlord gets an alert for a colony having a high liberty desire
	LOST_INDEPENDANCE_WAR_LIBERTY_DESIRE = -25,	--  How much liberty desire is decreased when an independance war ends
	MAX_CROWN_COLONIES = 4,							-- How many province a country can hold in a colonial region before creating a colonial nation
	PROTECTORATE_TECH_THRESHOLD = 0.5,				-- Difference in tech group cost modifiers
	PROTECTORATE_LOWER_BOUND = 0.5,					-- Lower limit for protectorates
	OVERSEAS_DISTANCE = 150,							-- Provinces beyond this distance to capital are distant overseas
	
	NORMAL_ELECTION_CYCLE = 4,						-- The normal election cycle at which 10 republican tradition is lost from 1 unit of scaled republican tradition
	DICTATORSHIP_TRADITION_FOR_MONARCHY = 0.5,		-- If republican tradition is lower than this on death of ruler, dictatorship turns into monarchy
	DICTATORSHIP_TRADITION_FOR_REPUBLIC = 0.5,		-- If republican tradition is this or higher on death of ruler, dictatorship turns into republic
},

NEconomy = {
	LAND_TECH_MAINTENANCE_IMPACT = 0.025, 			-- % each tech increases it.
	ADVISOR_COST = 1.0,								-- Advisor cost modifier
	GOLD_INFLATION_THRESHOLD = 0.0,					-- _EDEF_GOLD_INFLATION_THRESHOLD_
	GOLD_INFLATION = 0.5,							-- _EDEF_GOLD_INFLATION_
	BASE_YEARLY_INFLATION = 0,					-- yearly inflation increase
	INFLATION_FROM_LOAN = 0.1,						-- increase per loan
	INFLATION_FROM_PEACE_GOLD = 0.02,				-- inflation per month of income taken in peace (also applied to province sales)
	INFLATION_ACTION_REDUCTION = 2,					-- amount per action
	BANKRUPTCY_DURATION = 10,						-- _EDEF_BANKRUPTCY_DURATION_
	WARTAXES_DURATION = 2,							-- _EDEF_WARTAXES_DURATION_
	MINIMUM_INTERESTS = 0.25,						-- _EDEF_MINIMUM_INTERESTS_
	BASE_INTERESTS = 4.0,							-- Base interests
	LAND_MAINTENANCE_FACTOR = 0.25,					-- _EDEF_LAND_MAINTENANCE_FACTOR
	HEAVY_SHIP_MAINT_FACTOR = 0.10,					-- _EDEF_HEAVY_SHIP_MAINT_FACTOR_
	LIGHT_SHIP_MAINT_FACTOR = 0.05,					-- _EDEF_LIGHT_SHIP_MAINT_FACTOR_
	GALLEY_MAINT_FACTOR = 0.04,						-- _EDEF_GALLEY_MAINT_FACTOR_
	TRANSPORT_MAINT_FACTOR = 0.04,					-- _EDEF_TRANSPORT_MAINT_FACTOR_
	COLONIAL_MAINTENANCE_FACTOR = 8.0,				-- _EDEF_COLONIAL_MAINTENANCE_FACTOR_
	MISSIONARY_MAINTENANCE_FACTOR = 5,				-- _EDEF_MISSIONARY_MAINTENANCE_FACTOR_
	MERCHANT_TIME_DISTANCE = 0.25,					-- _EDEF_MERCHANT_TIME_DISTANCE_
	MERCHANT_CHANCE = 0.35,							-- _EDEF_MERCHANT_CHANCE_
	MERCHANT_COMPETE = 0.5,							-- _EDEF_MERCHANT_COMPETE_
	MAX_PROVINCE_SELL_PRICE = 2000,					-- _EDEF_MAX_PROVINCE_SELL_PRICE_
	COLONIST_DISTANCE_DIVISOR = 1000,				-- _EDEF_COLONIST_DISTANCE_DIVISOR_
	COLONIST_TIME = 0.3,							-- _EDEF_COLONIST_TIME_		
	COLONIST_CHANCE = 0.05,							-- _EDEF_COLONIST_CHANCE_	
	MISSIONARY_TIME_BASE = 1000,					-- _EDEF_MISSIONARY_TIME_BASE = 10,
	MISSIONARY_TIME_DISTANCE = 0.2,					-- _EDEF_MISSIONARY_TIME_DISTANCE = 10,
	TRADE_WIND_STRENGTH = 0.5,						-- _EDEF_TRADE_WIND_STRENGTH_
	MERCHANT_COMPETE_PERCENT_OWNED_BASE = 0.25,		-- _EDEF_MERCHANT_COMPETE_PERCENT_OWNED_BASE_
	TRADED_FRACTION_FOR_BONUS = 0.20,				-- _EDEF_TRADED_FRACTION_FOR_BONUS_
	OPEN_SEA_MODIFIER = 1.7,						-- _EDEF_OPEN_SEA_MODIFIER_
	COASTAL_MODIFIER = 1.0,							-- _EDEF_COASTAL_MODIFIER_
	TRADE_CAPITAL_POWER = 5.0,						-- TRADE_CAPITAL_POWER
	MERCHANT_SPEED = 20.0,							-- MERCHANT_SPEED
	MERCHANT_MAX_POWER_BONUS = 2.0,					-- MERCHANT_MAX_POWER_BONUS
	TRADE_SHIP_MAX_DAYS_IN_PORT = 5.0,				-- TRADE_SHIP_MAX_DAYS_IN_PORT
	TRADE_SHIP_ORG_LIMIT = 0.5,						-- TRADE_SHIP_ORG_LIMIT
	TRADE_NON_CAPITAL_OFFICE = -0.50,				-- TRADE_NON_CAPITAL_OFFICE
	TRADE_MERCHANT_PRESENT = 0.1,					-- bonus on income if trade present
	EMBARGO_BASE_EFFICIENCY = 0.5,					-- EMBARGO_BASE_EFFICIENCY
	TRADE_ADDED_VALUE_MODIFER = 0.05,
	TRADE_PROPAGATE_DIVIDER = 5,
	TRADE_PROPAGATE_THRESHOLD = 2,
	REGAIN_COST_BEFORE_PROGRESS = 0.1,				-- Before what percentage will the full cost be regained
	ALLOW_DESTROY_MANUFACTORY = 0,					-- Should the player be permitted to destroy manufactories?
	TRADE_POWER_INLAND_FACTOR = 100,					-- Trade efficiency multiply by this value gives the trade power.
	PIRATES_TRADE_POWER_FACTOR = 1.5,
	TRADE_COMPANY_CONTROL_LIMIT = 0.6,
	TRADE_COMPANY_DAYS_TO_SWAP_LEADER = 30,
	TRADE_COMPANY_STRONG_LIMIT = 0.51,
	PRIVATEER_INCOME_COLLECTION_EFF = 0.4,
},

NMilitary = {
	TECH_IMPACT_ON_MANPOWER = 0.05,
	SIEGE_ATTRITION = 1,
	NATIVE_FEROCITY_IMPACT = 0.05,					-- how many percentage each ferocity gives in combat bonus
	GALLEY_BONUS_INLAND_SEA = 1.0,
	INSUFFICIENT_SUPPORT = -0.25,
	SIEGE_MEMORY = 12,
	SIEGE_WIN = 20,
	UNLOAD_COST_FRIENDLY = 12,						-- cost to unload to friendly territory
	UNLOAD_COST_ENEMY = 36,							-- cost to hostile.
	LEADER_MAINTENANCE_COST = 1,					-- how much mil power each leader costs.
	GARRISON_SIZE = 1000, 							-- GARRISON_SIZE
	ASSAULT_ATTACKER_LOSS = 1.0, 					-- MDEF_ASSAULT_ATTACKER_LOSS = 10,
	ASSAULT_DEFENDER_LOSS = 0.3, 					-- _MDEF_ASSAULT_DEFENDER_LOSS = 10,
	ASSAULT_DICE_MODIFIER = 5, 						-- _MDEF_ASSAULT_DICE_MODIFIER_
	REGIMENT_MANPOWER_COST = 1.0, 					-- 1 = 1000 men in cost.
	HEAVY_SHIP_MANPOWER_COST = 0.0,					-- 1 = 1000 men in cost.
	LIGHT_SHIP_MANPOWER_COST = 0.0,					-- 1 = 1000 men in cost.
	GALLEY_SHIP_MANPOWER_COST = 0.0,				-- 1 = 1000 men in cost.
	TRANSPORT_SHIP_MANPOWER_COST = 0.0,				-- 1 = 1000 men in cost.
	MAX_MANPOWER = 10, 								-- years in mp pool
	MIN_MONTHLY_MANPOWER = 0.1,						-- 100 men/month is minimum
	INFANTRY_SPEED = 1.4, 							-- _MDEF_INFANTRY_SPEED = 10,
	CAVALRY_SPEED = 1.8, 							-- _MDEF_CAVALRY_SPEED = 10,
	ARTILLERY_SPEED = 1.0, 							-- _MDEF_ARTILLERY_SPEED = 10,
	HEAVY_SHIP_SPEED = 6.0, 						-- _MDEF_HEAVY_SHIP_SPEED = 10,
	LIGHT_SHIP_SPEED = 10.0, 						-- _MDEF_LIGHT_SHIP_SPEED = 10,
	GALLEY_SPEED = 4.0, 							-- _MDEF_GALLEY_SPEED = 10,
	TRANSPORT_SPEED = 6.0, 							-- _MDEF_TRANSPORT_SPEED = 10,
	INFANTRY_COST = 10.0, 							-- _MDEF_INFANTRY_COST = 10,		
	CAVALRY_COST = 25.0, 							-- _MDEF_CAVALRY_COST = 10,		
	ARTILLERY_COST = 30.0, 							-- _MDEF_ARTILLERY_COST = 10,		
	HEAVY_SHIP_COST = 50, 							-- _MDEF_HEAVY_SHIP_COST = 10,		
	LIGHT_SHIP_COST = 20, 							-- _MDEF_LIGHT_SHIP_COST = 10,	
	GALLEY_COST = 10, 								-- _MDEF_GALLEY_COST = 10,		
	TRANSPORT_COST = 12,							-- _MDEF_TRANSPORT_COST = 10,		
	INFANTRY_TIME = 20, 							-- _MDEF_INFANTRY_TIME = 10,		
	CAVALRY_TIME = 30, 								-- _MDEF_CAVALRY_TIME = 10,		
	ARTILLERY_TIME = 60, 							-- _MDEF_ARTILLERY_TIME = 10,		
	HEAVY_SHIP_TIME = 365, 							-- _MDEF_HEAVY_SHIP_TIME = 10,		
	LIGHT_SHIP_TIME = 180, 							-- _MDEF_LIGHT_SHIP_TIME = 10,	
	GALLEY_TIME = 180, 								-- _MDEF_GALLEY_TIME = 10,		
	TRANSPORT_TIME = 180, 							-- _MDEF_TRANSPORT_TIME = 10,		
	MONTHLY_REINFORCE = 0.1,						-- Amount of regiment strength reinforced each month.
	MONTHLY_REPAIR = 0.1,							-- Ship repair speed.
	EXTRA_LAND_REINFORCE_COST = 2.00,				-- extra cost for reinforcing land units.
	TRADITION_GAIN = 0.1,							-- Tradition gain base value from combats.  
	MAX_MERCENARY_POOL = 12, 						-- Maximum sized mercenary pool
	FRONT_LINE_MODIFIER = 2.0, 						-- _MDEF_FRONT_LINE_MODIFIER_
	BACK_LINE_MODIFIER = 1.8, 						-- _MDEF_BACK_LINE_MODIFIER_
	BASE_COMBAT_WIDTH = 15.0,						-- _MDEF_BASE_COMBAT_WIDTH_
	FORCE_MARCH_FACTOR = 0.5,						-- 
	SCORCHED_EARTH_MONTHS = 60, 					-- _MDEF_SCORCHED_EARTH_MONTHS_; Time the "Scorched Earth" static modifier lasts.
	LOOTED_DAYS = 180,								-- Time the "Looted" static modifier lasts.
	NAVAL_SUPPLY_RANGE = 150, 						-- Supply range for ships.
	REBEL_TRADITION_GAIN = 0.5, 					-- _MDEF_REBEL_TRADITION_GAIN_; Factor of army/navy tradition gained from fighting rebels and pirates.
	REBEL_SUPPORT_MODIFIER = 0.5,
	NOMAD_LOOT_MULTIPLIER = 3.0, 					-- _MDEF_NOMAD_LOOT_MULTIPLIER_;How much more money the horde gets from looting
	NOMAD_LOOT_TRADITION = 0.005,	 				-- _MDEF_NOMAD_LOOT_TRADITION_;Military tradition a horde gets from looting territory
	NOMAD_HOME_SHOCK_BONUS = 0.45, 					-- _MDEF_NOMAD_HOME_SHOCK_BONUS_; Shock damage multiplier for nomads on plains in home territory
	SUPPLYLIMIT_BASE_MULTIPLIER = 6.0, 				-- 
	WAR_LENGTH_DAMAGE_MODIFIER = 0.10,				-- How much (by percentage) the damage dealt will be increased each day of the combat
	MORALE_RECOVERY_SPEED = 0.15,					-- How much (by percentage) of the maximum morale that the current morale will be recovered with at a time
	MORALE_RECOVERY_SPEED_OWN_TERRITORY = 0.05,		-- How much the recovery speed for morale will be modified if unit is in controlled territory
	HOSTILE_TERRITORY_SPEED_MODIFIER = 0,			-- speed modifier into hostile territory
	SHATTERED_RETREAT_SPEED_MODIFIER = 0.5,			-- How much (by percentage) the movement speed will be modified when doing a shattered retreat
	LOW_MORALE_THRESHOLD = 0.60,					-- Under this percentage of the morale, the army will do a shattered retreat
	DEFAULT_WARGOAL_TICKINGWARSCORE_BONUS = 0.4,		-- Amount of warscore per month since attacker/defender started getting the bonus for completing war goal
	WARGOAL_MAX_BONUS = 30,
	DEFAULT_WARGOAL_WARSCORE_BONUS	= 5,			-- Warscore bonus
	DEFAULT_WARGOAL_BATTLESCORE_BONUS	= 6,		-- Battle score bonus from winning battles
	SUPERIORITY_WARGOAL_WINRATIO	= 0.5,			-- Needed win ratio for getting ticking war score for war goal superiority
	WARSCORE_MAX_FROM_BATTLES = 199,					-- maximum amount to get from a battles .
	WAR_ENTHUSIASM_HIGH_THRESHOLD = -10,			-- desire for peace must be less than this for high war enthuasiasm
	WAR_ENTHUSIASM_LOW_THRESHOLD = 0,				-- desire for peace must be more than this for low war enthusiasm
	EXPLORATION_TRAVEL_TIME = 3,					-- Multiplier for travel time when exploring
	OVERRUN_FACTOR = 10,							-- How much stronger one side of a battle must be to cause the other side to be overrun (integer)
	OVERRUN_FACTOR_CANNOT_LEAVE = 2,				-- Same as OVERRUN_FACTOR, but when combat cannot be left by the combattants. (integer)
	CANNOT_RETREAT_DAYS = 5, 						-- How many days combat has to last before one side can retreat
	DAYS_PER_PHASE = 3,								-- How many days each fire and shock phase lasts
	DAYS_PER_SIEGE_PHASE = 10,						-- How many days each siege phase lasts
	COMBAT_DICE_SIDE = 10,							-- How many side the dice used in combat has
	BLOCKADE_FACTOR = 10,								-- (Total sail speed / blockade_factor) * blockade_efficiency / province base tax
},

NAI = {
	AI_CONVERT_CULTURES = 1, -- If set to 0, AI will not convert cultures
	VASSAL_FABRICATE_CLAIMS = 1, -- If set to 1, vassals will use fabricate claims on foreign powers
	VASSAL_BUY_ANY_PROVINCE = 1, -- If set to 1, vassals will agree to buying a province from their overlord even if they lack an interest in it
	AI_BUY_PROVINCE_MAX_OE = 50, -- % of OE (including OE from sold province) above which AI who is NOT a subject will not buy non-core provinces (Not used if OE is at 0)
	AI_BUY_PROVINCE_SUBJECT_MAX_OE = 0, -- % of OE (including OE from sold province) above which AI who is a subject will not buy non-core provinces (Not used if OE is at 0)
	VASSALIZE_BASE_TAX_CAP = 80, -- Countries with more total base tax than this cannot be vassalized
	SUBSIDY_YEARS = 20, -- Years AI will give subsidies for
	MIN_INCOME_FOR_SUBSIDIES = 20, -- Minimum monthly income for AI to want to spend some on subsidies
	PS_SHORT_TERM_POOL = 100, -- Max power AI will store in its short-term spending pool
	AGGRESSIVENESS = 500, -- Base chance (out of 10000) of AI being willing to start a war each diplomatic tick (~1.5 times a month)
	AGGRESSIVENESS_BONUS_EASY_WAR = 1000, -- Added to aggressiveness if the war is against a weak or particularily hated enemy
	MISSION_PICK_CHANCE = 33, -- Yearly chance of AI picking a mission if it lacks one
	TRADE_INTEREST_THRESHOLD = 3, -- Number of merchants required to be a nation with trade interest
	DEFICIT_SPENDING_MIN_MONTHS = 6, -- AI must have at least this many monthly deficits of savings to be willing to deficit spend
	BIGSHIP_FRACTION = 0.4,	-- The proportion of big ships in an AI navy of light ships and big ships (for coastal sea countries, this fraction is mostly galleys)
	ARTILLERY_FRACTION = 0.35, 	-- Ratio of artillery to infantry AI will build
	FORCE_COMPOSITION_CHANGE_TECH_LEVEL = 11, -- Tech level at which AI will double its artillery fraction
	TRANSPORT_FRACTION = 0.3, -- Max fraction of naval forcelimit that should be transports
	INCOME_SAVINGS_FRACTION = 0.25, -- AI will reserve this amount of their surplus for long-term savings
	OVER_FORCELIMIT_AVOIDANCE_FACTOR = 10, -- The higher this number is, the less willing the AI will be to exceed forcelimits
	DESIRED_SURPLUS = 0.1, -- AI will aim for having at least this fraction of their income as surplus when they don't have large savings
	MAX_SAVINGS = 20, -- AI will keep a maximum of this * their monthly income in long-term savings
	ADVISOR_BUDGET_FRACTION = 0.3, -- AI will spend a maximum of this fraction of monthly income on advisor maintenance
	COLONY_BUDGET_AMOUNT = 8.0, -- AI will reserve a maximum of this amount of monthly ducats for colonies (multiplied by number of colonists)
	ARMY_BUDGET_FRACTION = 0.6, -- AI will spend a maximum of this fraction of monthly income on army maintenance (based off wartime costs)
	NAVY_BUDGET_FRACTION = 0.5, -- AI will spend a maximum of this fraction of monthly income on navy maintenance (based off wartime costs)
	REGIMENTS_PER_GENERAL = 15, -- AI will want one general for every this number of regiments (will not exceed free leader pool)
	MIN_SHIPS_FOR_ADMIRAL = 10, -- The minimum navy size for the AI to bother with an admiral
	CANCEL_CONSTRUCTION_SIEGE_PROGRESS = 0, -- If chance of fort falling is at least this, AI will cancel constructions in the province
	DIPLOMATIC_INTEREST_DISTANCE = 150, -- If border distance is greater than this, diplomatic AI will have less interest in the country
	CONQUEST_INTEREST_DISTANCE = 100, -- Beyond this range, AI is less interested in conquest of provinces
	FORCE_MARCH_MIN_SIZE = 5, -- AI will not force march units with less regiments than this
	FORCE_MARCH_ALWAYS_SIZE = 30, -- AI will always try to force march units of at least this size
	MAX_BUILDING_COST_INCOME_MONTHS = 50, -- AI will not save up for a building that costs more than their monthly income * this, if there are cheaper alternatives
	PURSUE_DISTANCE = 100, -- AI will not pursue armies retreating to a province further away than this
	CALL_IN_ALLIES_POWER_RATIO = 4.0, -- AI will only call in allies in an offensive war if their military power ratio to the enemy is less than this
	NUM_GREAT_POWER_ALLIES_ALLOWED = 0, -- Number of Great Power allies allowed before a penalty is applied to alliance chance
	GREAT_POWER_ALLIANCE_PENALTY = 50, -- Penalty on alliance chance for having more GP allies than allowed

	PEACE_BASE_RELUCTANCE = 0, -- AI base stubbornness to refuse peace (always applied)
	PEACE_EXCESSIVE_DEMANDS_FACTOR = 0.005, -- AI unwillingness to peace based on demanding more stuff than you have warscore
	PEACE_EXCESSIVE_DEMANDS_THRESHOLD = 5, -- If you have less warscore than this, excessive demands will be factored in more highly
	PEACE_TIME_MONTHS = 12, -- Months of additional AI stubbornness in a war
	PEACE_TIME_MAX_MONTHS = 600, -- Max months applied to time factor in a war
	PEACE_TIME_EARLY_FACTOR = 0.75, -- During months of stubbornness the effect of time passed is multiplied by this
	PEACE_TIME_LATE_FACTOR = 1.0, -- After months of stubbornness the effect of time passed is multiplied by this (only applied to positive war enthusiasm)
	PEACE_STALLED_WAR_TIME_FACTOR = 0.34, -- Applied to number of years war has been stalled to determine how much positive war enthusiasm is reduced
	PEACE_STALLED_WAR_THRESHOLD = 2, -- If the warscore has changed by this amount or less in the last year, the war is stalled	
	PEACE_WAR_EXHAUSTION_FACTOR = 1.0, -- AI willingness to peace based on war exhaustion
	PEACE_HIGH_WAR_EXHAUSTION_THRESHOLD = 10, -- Threshold for when PEACE_HIGH_WAR_EXHAUSTION_FACTOR is applied
	PEACE_HIGH_WAR_EXHAUSTION_FACTOR = 2.0, -- Additional AI willingness to peace based on war exhaustion above the high threshold
	PEACE_WAR_DIRECTION_FACTOR = 0.5, -- AI willingness to peace based on who's making gains in the war
	PEACE_WAR_DIRECTION_WINNING_MULT = 5.0, -- Multiplies AI emphasis on war direction if it's the one making gains
	PEACE_FORCE_BALANCE_FACTOR = 0.2, -- AI willingness to peace based on strength estimation of both sides
	PEACE_WARGOAL_FACTOR = 0, -- AI unwillingness to peace based on holding the wargoal
	PEACE_CAPITAL_FACTOR = 5, -- AI unwillingness to peace based on holding their own capital
	PEACE_MILITARY_STRENGTH_FACTOR = 10, -- AI unwillingness to peace based on manpower & forcelimits
	PEACE_ALLY_BASE_RELUCTANCE_MULT = 2.0, -- Multiplies PEACE_BASE_RELUCTANCE for allies in a war
	PEACE_ALLY_TIME_MULT = 1.0, -- Multiplies PEACE_TIME_FACTOR for allies in a war
	PEACE_ALLY_EXCESSIVE_DEMANDS_MULT = 2.0, -- Multiplies PEACE_EXCESSIVE_DEMANDS_FACTOR for allies in a war
	PEACE_ALLY_WAR_EXHAUSTION_MULT = 1.0, -- Multiplies PEACE_WAR_EXHAUSTION_FACTOR for allies in a war
	PEACE_ALLY_WAR_DIRECTION_MULT = 0, -- Multiplies PEACE_WAR_DIRECTION_FACTOR for allies in a war
	PEACE_ALLY_FORCE_BALANCE_MULT = 0, -- Multiplies PEACE_FORCE_BALANCE_FACTOR for allies in a war
	PEACE_ALLY_WARGOAL_MULT = 0, -- Multiplies PEACE_WARGOAL_FACTOR for allies in a war
	PEACE_ALLY_CAPITAL_MULT = 1.0, -- Multiplies PEACE_CAPITAL_FACTOR for allies in a war
	PEACE_ALLY_MILITARY_STRENGTH_MULT = 2.0, -- Multiplies PEACE_MILITARY_STRENGTH_FACTOR for allies in a war
	PEACE_OTHER_WAR_FORCE_BALANCE_MULT = 0.5, -- Multiplies the force balance of other countries who are involved in a different war with either side
	PEACE_INCONCLUSIVE_THRESHOLD = 10,	-- no demands will be accepted by AI if under this warscore	
	PEACE_DESPERATION_FACTOR = 40, -- AI willingness to peace based on desperation from occupied homelands
	PEACE_ALLY_DESPERATION_MULT = 1.0, -- Multiplies PEACE_DESPERATION_FACTOR for allies in a war
	PEACE_REBELS_FACTOR = 20, -- AI willingness to peace based on number of revolts in their provinces
	PEACE_ALLY_REBELS_MULT = 1.0, -- Multiplies PEACE_REBELS_FACTOR for allies in a war
	PEACE_DESIRE_AI_PREFS_QUICK_PEACE = 100, -- How much AI wants to peace out when player enabled AI setting "Seek Quick Peace"
	
	PEACE_TERMS_BASE_SCORE = 100, -- Base AI scoring for any peace demand
	PEACE_RANDOM_FACTOR = 0.75, -- How much randomness is applied to AI weighting (as a fraction of the goal score)
	PEACE_TERMS_CB_MULT = 2.0, -- AI desire for a wargoal is multiplied by this for having the right CB
	PEACE_TERMS_STRATEGY_MULT = 0.5, -- AI desire for a wargoal is multiplied by this if it doesn't fit into their general strategy
	
	PEACE_TERMS_REVOKE_ELECTOR_BASE_MULT = 1000.0, -- only applied if CB is valid for it
	PEACE_TERMS_INDEPENDENCE_BASE_MULT = 1000.0, -- only applied if CB is valid for it
	PEACE_TERMS_UNION_BASE_MULT = 1000.0, -- only applied if CB is valid for it
	PEACE_TERMS_VASSAL_BASE_MULT = 1000.0, -- only applied if the AI has vassalize priority
	PEACE_TERMS_PROTECTORATE_BASE_MULT = 1000.0, -- only applied if the AI has vassalize priority
	PEACE_TERMS_CHANGE_GOVERNMENT_BASE_MULT = 0.75, -- only applied if CB is valid for it
	PEACE_TERMS_CHANGE_RELIGION_BASE_MULT = 1000.0, -- only applied if CB is valid for it
	PEACE_TERMS_ANNEX_BASE_MULT = 100.0, 
	PEACE_TERMS_PROVINCE_BASE_MULT = 1.0,
	PEACE_TERMS_TRADE_POWER_BASE_MULT = 1.0,
	PEACE_TERMS_HUMILIATE_BASE_MULT = 1.0,
	PEACE_TERMS_REVOKE_CORES_BASE_MULT = 1.0,
	PEACE_TERMS_REVOKE_REFORM_BASE_MULT = 1.0,
	PEACE_TERMS_RETURN_CORES_BASE_MULT = 1.0,
	PEACE_TERMS_RELEASE_VASSALS_BASE_MULT = 0.75,
	PEACE_TERMS_RELEASE_ANNEXED_BASE_MULT = 0.75,
	PEACE_TERMS_ANNUL_TREATIES_BASE_MULT = 0.75,
	PEACE_TERMS_GOLD_BASE_MULT = 0.1,
	PEACE_TERMS_CONCEDE_DEFEAT_BASE_MULT = 1.0,
	
	PEACE_TERMS_PROVINCE_NO_CB_MULT = 0.5, -- AI desire for a province is multiplied by this if it doesn't have a valid cb for it (only used when annexing, not applied to cores)
	PEACE_TERMS_PROVINCE_CORE_MULT = 3.0, -- AI desire for a province is multiplied by this if it has a core on it
	PEACE_TERMS_PROVINCE_WARGOAL_MULT = 2.0, -- AI desire for a province is multiplied by this if it is the wargoal
	PEACE_TERMS_PROVINCE_CLAIM_MULT = 2.0, -- AI desire for a province is multiplied by this if it has a claim on it
	PEACE_TERMS_PROVINCE_NOT_CULTURE_MULT = 0.75, -- AI desire for a province is multiplied by this if it is not the same culture
	PEACE_TERMS_PROVINCE_VASSAL_MULT = 0.75, -- AI desire for a province is multiplied by this if it would go to their vassal instead of themselves
	PEACE_TERMS_PROVINCE_REAL_ADJACENT_MULT = 0.5, -- AI desire for a province is increased by this multiplier for each owned adjacent province
	PEACE_TERMS_PROVINCE_NOT_ADJACENT_MULT = 0.5, -- AI desire for a province is multiplied by this if it is not adjacent at all (including vassals and other provinces being taken in peace)
	PEACE_TERMS_PROVINCE_NO_INTEREST_MULT = 0, -- AI desire for a province is multiplied by this if it is not on their conquest list
	PEACE_TERMS_PROVINCE_OVEREXTENSION_MIN_MULT = 0.5, -- AI desire for a province is multiplied by this if it has 99% overextension (not applied to cores)
	PEACE_TERMS_PROVINCE_OVEREXTENSION_MAX_MULT = 1.5, -- AI desire for a province is multiplied by this if it has 0% overextension (not applied to cores)
	PEACE_TERMS_PROVINCE_ISOLATED_CAPITAL_MULT = 0.75, -- AI desire for a province if it is an isolated capital
	PEACE_TERMS_PROVINCE_ALLY_MULT = 0.5, -- AI desire for giving (non-core) provinces to its allies
	PEACE_TERMS_PROVINCE_IMPORTANT_ALLY_MULT = 0.75, --AI desire for giving (non-core) provinces to its most important allies
	PEACE_TERMS_TRADE_POWER_VALUE_MULT = 0.1, -- AI desire for transfering trade power is multiplied by this for each 0.1 trade value in shared nodes
	PEACE_TERMS_TRADE_POWER_VALUE_MAX = 2.0, -- Max AI desire for transfering trade power from shared node value
	PEACE_TERMS_TRADE_POWER_NO_TRADE_INTEREST_MULT = 0.25, -- AI desire for transfering trade power is multiplied by this if they don't have at least 3 merchants or are not a republic
	PEACE_TERMS_HUMILIATE_VALUE_MULT = 1, -- AI desire for humiliating is multiplied by this for each 1 prestige the enemy has
	PEACE_TERMS_HUMILIATE_VALUE_MAX = 2.0, -- Max AI desire for humiliating its' enemy
	PEACE_TERMS_REVOKE_CORE_VASSAL_MULT = 0.75, -- AI desire for revoking cores is multiplied by this if the cores are on their vassal instead of themselves
	PEACE_TERMS_REVOKE_CORE_FEAR_MULT = 2.0, -- AI desire for revoking cores is multiplied by this if they are afraid of the other country
	PEACE_TERMS_RETURN_CORES_VASSAL_MULT = 2.0, -- AI desire for returning core provinces is multiplied by this for their vassals
	PEACE_TERMS_RETURN_CORES_NOT_FRIEND_MULT = 0.75, -- AI desire for returning core provinces is multiplied by this if they are not friends of the country core is being returned to
	PEACE_TERMS_ANNUL_TREATIES_NO_INTEREST_MULT = 0, -- AI desire for annuling a treaty is multiplied by this if they have no strategic interests in doing so
	PEACE_TERMS_PROVINCE_HRE_UNJUSTIFIED_MULT = 0, -- AI desire for a province is multiplied by this for HRE provinces if they are a member of the empire and don't have a CB, claim or core to it
	PEACE_TERMS_MIN_MONTHS_OF_GOLD = 5, -- If they don't have at least this much warscore worth of gold, prefer concede defeat
	PEACE_TERMS_PROVINCE_STRATEGY_THRESHOLD = 1, -- If province has at least this strategic priority, AI values it higher in peace deals
	PEACE_TERMS_RETURN_PROVINCE_STRATEGY_MULT = 0.5, -- If we have strategic priority on a province, AI desire to release it to another nation is multiplied by this amount
	PEACE_TERMS_RELEASE_VASSAL_SIZE_MULT = 0.1, -- AI desire mult for releasing vassal increased by this for each province they hold
	PEACE_TERMS_RELEASE_VASSAL_MAX_MULT = 1.3, -- Max AI desire mult for releasing vassals
	PEACE_TERMS_RELEASE_VASSAL_HRE_MULT = 2.0, -- AI desire for releasing a vassal is multiplied by this if both are HRE members
	PEACE_TERMS_RELEASE_VASSAL_SAME_CULTURE_MULT = 0.65, -- AI desire for releasing a country is multiplied by this if they are the same culture group as releaser
	PEACE_TERMS_RELEASE_VASSAL_SAME_CULTURE_GROUP_MULT = 0.75, -- AI desire for releasing a country is multiplied by this if they are the same culture group (but not same culture) as releaser
	PEACE_TERMS_RELEASE_ANNEXED_SIZE_MULT = 0.1, -- AI desire mult for releasing countries is increased by this for each province they hold
	PEACE_TERMS_RELEASE_ANNEXED_MAX_MULT = 1.3, -- Max AI desire mult for releasing countries
	PEACE_TERMS_RELEASE_ANNEXED_HRE_MULT = 2.0, -- AI desire for releasing a country is multiplied by this if both are HRE members
	PEACE_TERMS_RELEASE_ANNEXED_SAME_CULTURE_MULT = 0.65, -- AI desire for releasing a country is multiplied by this if they are the same culture group as releaser
	PEACE_TERMS_RELEASE_ANNEXED_SAME_CULTURE_GROUP_MULT = 0.75, -- AI desire for releasing a country is multiplied by this if they are the same culture group (but not same culture) as releaser
	PEACE_TERMS_MIL_ACCESS_BASE_MULT = 0, -- AI desire for mil access through peace
	PEACE_TERMS_FLEET_BASING_BASE_MULT = 0, -- AI desire for fleet basing rights through peace
	DIPLOMATIC_ACTION_RANDOM_FACTOR = 1.0, -- How much of the AI diplomatic action scoring is randomly determined
	DIPLOMATIC_ACTION_PROPOSE_SCORE = 50, -- AI must score a diplomatic action at least this highly to propose it themselves
	DIPLOMATIC_ACTION_BREAK_SCORE = 30, -- AI must score a diplomatic action less than this to break it off
	DIPLOMATIC_ACTION_PERSONALITY_MULT = 1.5, -- How much more the AI values a diplomatic action if it suits their personality (improve relations for diplomat, etc)
	
	DIPLOMATIC_ACTION_ALLIANCE_ACCEPTANCE_MULT = 3.0, -- AI scoring for alliance based on willingness to accept it if offered to them
	DIPLOMATIC_ACTION_FEDERATION_ACCEPTANCE_MULT = 3.0, -- AI scoring for alliance based on willingness to accept it if offered to them
	DIPLOMATIC_ACTION_ROYAL_MARRIAGE_ACCEPTANCE_MULT = 2.0, -- AI scoring for royal marriage based on their willingness to accept it if offered to them
	DIPLOMATIC_ACTION_ROYAL_MARRIAGE_NO_POWER_COST_RELATION_MULT = 0.25, -- AI scoring for royal marriage is multiplied by this if they currently lack a relation with a power cost
	DIPLOMATIC_ACTION_IMPROVE_RELATIONS_BEFRIEND_FACTOR = 50, -- AI scoring for improve relations is increased by this if they have an attitude with 'befriend' desire
	DIPLOMATIC_ACTION_IMPROVE_RELATIONS_ALLY_FACTOR = 50, -- AI scoring for improve relations is increased by this if they have an attitude with 'ally' desire
	DIPLOMATIC_ACTION_IMPROVE_RELATIONS_VASSALIZE_FACTOR = 150, -- AI scoring for improve relations is increased by this if they have an attitude with 'vassalize' desire (also applied to royal marriage desire)
	DIPLOMATIC_ACTION_IMPROVE_RELATIONS_SUPPORTING_HEIR_FACTOR = 50, -- AI scoring for improve relations is increased by this if they are also supporting a heir in the country
	DIPLOMATIC_ACTION_GRANT_ELECTORATE_PROVINCE_PENALTY_THRESHOLD = 4, -- AI scoring for grant electorate is reduced if target has at least this many provinces
	DIPLOMATIC_ACTION_GRANT_ELECTORATE_PROVINCE_PENALTY_MULT = 0.5, -- AI scoring for grant electorate is multiplied by this for each province above threshold
	DIPLOMATIC_ACTION_EMBARGO_TRADE_INTEREST_FACTOR = 25, -- AI scoring for embargo is increased by this if they have trade interest
	DIPLOMATIC_ACTION_EMBARGO_WAR_FACTOR = 50, -- AI scoring for embargo is increased by this if they are at war
	DIPLOMATIC_ACTION_EMBARGO_TRADE_POWER_THRESHOLD = 1, -- AI will not embargo unless value of shared nodes is at least this high
	DIPLOMATIC_ACTION_EMBARGO_TRADE_POWER_FACTOR = 25.0, -- AI scoring for embargo is increased by this for each 1.0 value in shared nodes
	DIPLOMATIC_ACTION_EMBARGO_COALITION_TARGET_MULT = 2.0, -- AI scoring for embargo is multiplied by this against coalition target
	DIPLOMATIC_ACTION_MILITARY_ACCESS_PEACE_MULT = 0.5, -- AI scoring for military access is multiplied by this if at peace
	DIPLOMATIC_ACTION_MILITARY_ACCESS_EXISTING_RELATION_MULT = 2.0, -- AI scoring for military access is multiplied by this if it has an existing power cost relation
	DIPLOMATIC_ACTION_MILITARY_ACCESS_ENEMY_REGIMENTS_FACTOR = 20.0, -- AI scoring for military access is increased by this for each enemy regiment they are sheltering
 	DIPLOMATIC_ACTION_VASSALIZE_BASE_TAX_FACTOR = 50, -- AI scoring for vassalize is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_ANNEX_BASE_TAX_FACTOR = 50, -- AI scoring for demand annexation is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_INTEGRATE_BASE_TAX_FACTOR = 50, -- AI scoring for integrate is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_EXCOMMUNICATE_ANTAGONIZE_FACTOR = 25, -- AI scoring for excommunicate is increased by this if they have an attitude with 'antagonize' desire
	DIPLOMATIC_ACTION_EXCOMMUNICATE_ANNEX_FACTOR = 50, -- AI scoring for excommunicate is increased by this if they have an attitude with 'annex' desire
	DIPLOMATIC_ACTION_EXCOMMUNICATE_NEIGHBOUR_FACTOR = 25, -- AI scoring for excommunicate is increased by this if they are neighbours
	DIPLOMATIC_ACTION_EXCOMMUNICATE_RIVAL_FACTOR = 50, -- AI scoring for excommunicate is increased by this if they are rivals
	DIPLOMATIC_ACTION_CRUSADE_BASE_TAX_FACTOR = 2.5, -- AI scoring for crusade is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_CRUSADE_ANTAGONIZE_FACTOR = 25, -- AI scoring for crusade is increased by this if they have an attitude with 'antagonize' desire
	DIPLOMATIC_ACTION_CRUSADE_ANNEX_FACTOR = 50, -- AI scoring for crusade is increased by this if they have an attitude with 'annex' desire
	DIPLOMATIC_ACTION_CRUSADE_NEIGHBOUR_FACTOR = 25, -- AI scoring for crusade is increased by this if they are neighbours	
	DIPLOMATIC_ACTION_CRUSADE_RIVAL_FACTOR = 10, -- AI scoring for crusade is increased by this if they are rivals
	DIPLOMATIC_ACTION_CLAIM_THRONE_MAX_BASE_TAX_DIFFERENCE = 2.0, -- AI will not claim throne if target has more than their base tax * this value
	DIPLOMATIC_ACTION_CLAIM_THRONE_MIN_PRESTIGE_DIFFERENCE = 20, -- AI will not claim throne if they don't have at least this much more prestige
	DIPLOMATIC_ACTION_CLAIM_THRONE_MAX_DISTANCE = 100, -- AI will not claim throne if border distance is higher than this
	DIPLOMATIC_ACTION_CLAIM_THRONE_VASSALIZE_FACTOR = 100, -- AI scoring for claim throne is increased by this if they have an attitude with 'vassalize' desire
	DIPLOMATIC_ACTION_CLAIM_THRONE_BASE_TAX_FACTOR = 1, -- AI scoring for claim throne is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_CLAIM_THRONE_BASE_TAX_MAX = 100, -- Max amount of AI scoring for claim throne from province base tax
	DIPLOMATIC_ACTION_CLAIM_THRONE_OUR_CLAIMS_FACTOR = -50, -- AI scoring for claim throne is changed by this for each other throne they are claiming
	DIPLOMATIC_ACTION_CLAIM_THRONE_OTHER_CLAIMS_FACTOR = -25, -- AI scoring for claim throne is changed by this for each other country claiming the target's throne
	DIPLOMATIC_ACTION_GUARANTEE_PROTECT_FACTOR = 50, -- AI scoring for guarantee is changed by this if they have an attitude with the 'protect' desire
	DIPLOMATIC_ACTION_WARNING_MAX_DISTANCE = 50, -- AI will not warn if border distance is higher than this
	DIPLOMATIC_ACTION_WARNING_WARN_FACTOR = 50, -- AI scoring for warning is changed by this if they have an attitude with the 'warn' desire (multiplied by number of common neighbors )
	DIPLOMATIC_ACTION_INSULT_RELATIONS_THRESHOLD = 90, -- AI will only insult if relations are above this amount
	DIPLOMATIC_ACTION_INSULT_ANTAGONIZE_FACTOR = 50, -- AI scoring for insults is increased by this if they have an attitude with 'antagonize' desire
	DIPLOMATIC_ACTION_INSULT_ANNEX_FACTOR = 50, -- AI scoring for insults is increased by this if they have an attitude with 'annex' desire	
	DIPLOMATIC_ACTION_INSULT_RIVAL_FACTOR = 10, -- AI scoring for insults is increased by this if they are rivals
	DIPLOMATIC_ACTION_INSULT_PREPARING_WAR_FACTOR = 200, -- AI scoring for insults is increased by this if it is preparing for war with them
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_BASE_FACTOR = 25, -- AI scoring for fabricating claims is always increased by this as long as the province is a conquest priority
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_STRATEGY_FACTOR = 1.0, -- AI scoring for fabricating claims based on strategic conquest priorities
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_OTHER_CB_FACTOR = 0.0, -- AI scoring for fabricating claims if they already have another CB usable on the province
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_NOT_ADJACENT_FACTOR = 0.5, -- AI scoring for fabricating claims if the province is not adjacent
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_HRE_FACTOR = 0.75, -- AI scoring for fabricating claims if both parts are HRE
	DIPLOMATIC_ACTION_FABRICATE_CLAIM_HRE_EMPEROR_FACTOR = 0.5, -- AI scoring for fabricating claims if province is HRE and they are emperor (does not stack with the above penalty)
	DIPLOMATIC_ACTION_SOW_DISCONTENT_ANTAGONIZE_FACTOR = 25, -- AI scoring for sowing discontent is increased by this if they have an attitude with 'antagonize' desire
	DIPLOMATIC_ACTION_SOW_DISCONTENT_RIVAL_FACTOR = 25, -- AI scoring for sowing discontent is increased by this if they are rivals
	DIPLOMATIC_ACTION_SABOTAGE_REPUTATION_ANTAGONIZE_FACTOR = 25, -- AI scoring for sowing discontent is increased by this if they have an attitude with 'antagonize' desire
	DIPLOMATIC_ACTION_SABOTAGE_REPUTATION_RIVAL_FACTOR = 25, -- AI scoring for sowing discontent is increased by this if they are rivals	
	DIPLOMATIC_ACTION_COALITION_DISTANCE_FACTOR = 100, -- AI scoring for joining/forming coalition based on distance
	DIPLOMATIC_ACTION_COALITION_THREAT_FACTOR = 0.5, -- AI scoring for joining/forming coalition based on threat score
	DIPLOMATIC_ACTION_COALITION_RELATIONS_FACTOR = 0.5, -- AI scoring for joining/forming coalition based on negative relations
	DIPLOMATIC_ACTION_COALITION_SIZE_FACTOR = 1, -- AI scoring for joining/forming coalition based on number of cities
	DIPLOMATIC_ACTION_COALITION_SIZE_FACTOR_MAX = 50, -- Size factor will not go above this regardless of number of cities
	DIPLOMATIC_ACTION_ENFORCE_PEACE_ANNEX_FACTOR = 100, -- AI scoring for enforce peace on countries it wants to annex
	DIPLOMATIC_ACTION_ENFORCE_PEACE_PROTECT_MULT = 2, -- AI scoring for enforce peace is multiplied by this if it wants to protect the war target
	DIPLOMATIC_ACTION_ENFORCE_PEACE_FORCE_BALANCE_MULT = 1, -- AI scoring for enforce peace is multiplied by this for each 100% of enemy force strength it has
	DIPLOMATIC_ACTION_SUBSIDIES_WAR_WITH_RIVAL_FACTOR = 30, -- AI scoring for giving subsidies to a country that is at war with its rival
	DIPLOMATIC_ACTION_SUBSIDIES_RELATIVE_INCOME_FACTOR = 30, -- AI scoring for giving subsidies to a country based on its relative income to the AI nation (lower income = higher scoring)
	DIPLOMATIC_ACTION_SUBSIDIES_RELATIONS_FACTOR = 0.3, -- AI scoring for giving subsidies to a country based on opinion of the other country
	DIPLOMATIC_ACTION_SUBSIDIES_RELATIONS_MAX = 100, -- Relations above this will not be considered for DIPLOMATIC_ACTION_SUBSIDIES_RELATIONS_FACTOR
	DIPLOMATIC_ACTION_SUBSIDIES_MAX_OCCUPIED = 0.5, -- Max fraction of a country that can be occupied/besieged for AI to consider it worth giving subsidies
	DIPLOMATIC_ACTION_SUBSIDIES_MAX_RELATIVE_INCOME = 0.33, -- Max relative montly income that a country can have for the AI to consider it in need of subsidies
	DIPLOMATIC_ACTION_SUBSIDIES_PREVIOUS_SUBSIDIES_FACTOR = -100, -- AI scoring for giving subsidies based on previous subsidies nation is receiving relative to income
	DIPLOMATIC_ACTION_SUBSIDIES_INDEBTED_FACTOR = 20, -- AI scoring for giving subsidies to an ally in heavy debt
	DIPLOMATIC_ACTION_SUBSIDIES_MIN_VALUE = 0.5, -- Minimum amount of subsidies that AI considers worthwhile
	DIPLOMATIC_ACTION_TRADE_POWER_ACCEPTANCE_MULT = 3.0, -- AI scoring for transfer trade power based on willingness to accept it if offered to them
	DIPLOMATIC_ACTION_TRADE_POWER_TRADE_INTEREST_FACTOR = 25, -- AI scoring for transfer trade power is increased by this if they have trade interest
	DIPLOMATIC_ACTION_TRADE_POWER_THRESHOLD = 1.0, -- AI will not ask to transfer trade power unless value of shared nodes is at least this high
	DIPLOMATIC_ACTION_TRADE_POWER_FACTOR = 25.0, -- AI scoring for transfer trade power is increased by this for each 1.0 value in shared nodes
	DIPLOMATIC_ACTION_TRADE_POWER_ALLIANCE_FACTOR = 0.25, -- AI threshold for transfer trade power will be mulitplied by this if the two countries have an alliance
	DIPLOMATIC_ACTION_SUPPORT_HEIR_BASE_TAX_FACTOR = 5, -- AI scoring for support heir is increased by this for each base tax in target's provinces
	DIPLOMATIC_ACTION_SUPPORT_HEIR_ALLIANCE_FACTOR = 2, -- AI scoring for support heir is multiplied by this if the two countries have an alliance
},

NGraphics = {
	PORT_SHIP_OFFSET = 2.0,
	SHIP_IN_PORT_SCALE = 0.25,
	CITY_SPRAWL_SHRINK_DISTANCE = 150.0, 			-- Start shrinking at this distance
	CITY_SPRAWL_DRAW_DISTANCE = 200.0, 				-- Remove at this distance
	CITY_SPRAWL_AMOUNT = 3.0, 						-- Size of cities, higher gives larger cities
	CITY_SPRAWL_NUDGE_TAX_VALUE = 50, 				-- Debug flag
	PROVINCE_NAME_DRAW_DISTANCE = 500.0, 			-- Remove province names beyond this distance
	DIRECTION_POINTER_DRAW_DISTANCE = 2700.0,		-- Direction pointer arrow will not be drawn beyond this distance
	DIRECTION_POINTER_INTERPOLATION_SPEED = 0.275,	-- How fast the arrow is interpolating
	DIRECTION_POINTER_SCREEN_AREA_MAX = 0.935, 		-- The moment when the arrow snaps to the province (value is in DOT PRODUCT) 0.9-0.99
	DIRECTION_POINTER_SCREEN_AREA_MIN = 0.910,		-- The moment when the arrow starts getting closer to the target before it snaps.
	DIRECTION_POINTER_SIZE_MIN = 0.9,				-- Size of the arrow interpolated dependly on camera distance
	DIRECTION_POINTER_SIZE_MAX = 10.0,
	DIRECTION_POINTER_GROUND_OFFSET = 5.0,			-- Offset Y above the ground for arrow to point at
	LIGHT_DIRECTION_X = -1.0,
	LIGHT_DIRECTION_Y = -1.0,
	LIGHT_DIRECTION_Z = 0.5,
	LIGHT_SHADOW_DIRECTION_X = -5.0,
	LIGHT_SHADOW_DIRECTION_Y = -8.0,
	LIGHT_SHADOW_DIRECTION_Z = 5.0,
	MILD_WINTER_VALUE = 90,
	NORMAL_WINTER_VALUE = 145,
	SEVERE_WINTER_VALUE = 255,
	BORDER_WIDTH = 1.5,
	TRADE_GOODS_ROTATE_SPEED = 0.2,					-- Higher values gives a faster speed
	TRADE_GOODS_SPEED = 0.02,						-- Higher values gives a faster speed
	LAND_UNIT_MOVEMENT_SPEED = 12  ,
	NAVAL_UNIT_MOVEMENT_SPEED = 12,
	ARROW_MOVEMENT_SPEED = 2,
	DRAW_DETAILED_CUTOFF = 400,
	DRAW_TRADEROUTES_CUTOFF = 400,
	DRAW_TRADEROUTES_CUTOFF_TRADE_MAPMODE = 3000,
	UNIT_TURN_SPEED = 3,
	WATER_MAP_MODE_COLOR_R = 0.27,
	WATER_MAP_MODE_COLOR_G = 0.42,
	WATER_MAP_MODE_COLOR_B = 0.64,
	CAPITAL_INDICATOR_HEIGHT = 5.8,
	CAPITAL_INDICATOR_HEIGHT_SCALE = 140.0,
	BORDER_COLOR_SELECTION_R = 1.0,
	BORDER_COLOR_SELECTION_G = 0.8,
	BORDER_COLOR_SELECTION_B = 0.0,
	BORDER_COLOR_SELECTION_A = 1.0,
	BORDER_COLOR_CB_SELECT_R = 0.1,
	BORDER_COLOR_CB_SELECT_G = 0.8,
	BORDER_COLOR_CB_SELECT_B = 0.8,
	BORDER_COLOR_CB_SELECT_A = 1.0,
	BORDER_COLOR_WAR_TARGET_R = 1.0,
	BORDER_COLOR_WAR_TARGET_G = 0.4,
	BORDER_COLOR_WAR_TARGET_B = 0.0,
	BORDER_COLOR_WAR_TARGET_A = 1.0,
	BORDER_COLOR_WAR_R = 0.8,
	BORDER_COLOR_WAR_G = 0.0,
	BORDER_COLOR_WAR_B = 0.0,
	BORDER_COLOR_WAR_A = 0.8,
	BORDER_COLOR_CUSTOM_HIGHLIGHT_R = 0.0,
	BORDER_COLOR_CUSTOM_HIGHLIGHT_G = 0.61,
	BORDER_COLOR_CUSTOM_HIGHLIGHT_B = 0.75,
	BORDER_COLOR_CUSTOM_HIGHLIGHT_A = 1.0,
	DRAW_REFRACTIONS_CUTOFF = 250,
	DRAW_SHADOWS_CUTOFF = 500,
	AGGRESSIVE_EXPANSION_MAX_R = 1.0,
	AGGRESSIVE_EXPANSION_MAX_G = 0.25,
	AGGRESSIVE_EXPANSION_MAX_B = 0.0,
	AGGRESSIVE_EXPANSION_MAX_A = 1.0,
	AG_FOR_MAX_COLOR_IN_COALITION_MAPMODE = 150,
	SHOW_MONTHLY_TAX_INCOME = 1,
	COLONIAL_COLOR_INTERPOLATION_FACTOR = 0.35,
	
	MINIMAP_LAND_COLOR_R 			= 2,
	MINIMAP_LAND_COLOR_G 			= 15,
	MINIMAP_LAND_COLOR_B 			= 0,
	MINIMAP_LAND_COLOR_BASE_LERP 	= 0.4,
	MINIMAP_WATER_COLOR_R 			= 38,
	MINIMAP_WATER_COLOR_G 			= 124,
	MINIMAP_WATER_COLOR_B 			= 200,
	MINIMAP_WATER_COLOR_BASE_LERP 	= 0.3,
	
	MAX_TRADE_NODE_FLAGS_SHOWN = -1,				-- -1 is unlimited
	SHOW_TRADE_MODIFIERS_IN_TRADE_MAP_MODE = 1,		-- 1 = true, 0 = false
},

NEngine = {
	EVENT_PROCESS_OFFSET = 20, 						-- Events are checked every X day per character or province (1 is ideal, but CPU heavy)
},

NMacroBuildColors = {
	CANNOT_BUILD_R = 200,
	CANNOT_BUILD_G = 25,
	CANNOT_BUILD_B = 15,
	CAN_BUILD_R = 65,
	CAN_BUILD_G = 165,
	CAN_BUILD_B = 65,
	HAS_BUILDING_R = 25,
	HAS_BUILDING_G = 25,
	HAS_BUILDING_B = 200,
	OTHER_R = 128,
	OTHER_G = 128,
	OTHER_B = 128,
	STRIPES_MUTALY_EXCLUSIVE_R = 195,
	STRIPES_MUTALY_EXCLUSIVE_G = 175,
	STRIPES_MUTALY_EXCLUSIVE_B = 10,
	STRIPES_MUTALY_EXCLUSIVE_A = 255,
	STRIPES_CANNOT_AFFORD_R = 200,
	STRIPES_CANNOT_AFFORD_G = 0,
	STRIPES_CANNOT_AFFORD_B = 0,
	STRIPES_CANNOT_AFFORD_A = 255,
	STRIPES_HAS_MILITARY_R = 0,
	STRIPES_HAS_MILITARY_G = 190,
	STRIPES_HAS_MILITARY_B = 0,
	STRIPES_HAS_MILITARY_A = 255,
},

NFrontend = {
	CAMERA_LOOKAT_X = 2958.0, 						-- Rotation point in main menu
	CAMERA_LOOKAT_Y = 0.0,
	CAMERA_LOOKAT_Z = 1519.0,
	CAMERA_LOOKAT_SETTINGS_X = 2958.0, 				-- Rotation point in settings
	CAMERA_LOOKAT_SETTINGS_Y = 0.0,					-- Y is height
	CAMERA_LOOKAT_SETTINGS_Z = 1519.0,
	CAMERA_START_X = 2958.0,						-- Initial position in main menu
	CAMERA_START_Y = 800,							-- Y is height
	CAMERA_START_Z = 1400.0,
	CAMERA_END_X = 2958.0,							-- Move to position in main menu
	CAMERA_END_Y = 900.0,
	CAMERA_END_Z = 1400.0,
	CAMERA_MIN_DIST_FOR_ROTATE = 800.0, 			-- Controlls when rotation starts. When camera is close enought it starts
	CAMERA_MIN_HEIGHT = 50.0,						-- Minimum camera height
	CAMERA_MAX_HEIGHT = 3000.0,						-- Maximum camera height
	TIME_FROZEN = 1.0,  							-- Time before initial animation starts (some deylay here so it should NOT be 0, then the animation starts before you can see it)
	TIME_UNTIL_ROTATE = 1.5, 						-- Time when rotation start (from begining of time)
	CAMERA_SPEED_START = 0.04,  					-- Initial animation speed
	CAMERA_SPEED_ROTATE = 0.04,						-- Rotation speed
	GUI_MOVE_SPEED = 300,							-- How fast sliding gui objects move ( pixels/s )
	
	FADE_IN_DONE_TIME = 2.2,
	GUI_START_MOVE_TIME = 1.4,
	CAMERA_START_MOVE_TIME = 3.0,
	
	CAMERA_SPEED_IN_MENUS = 0.1,
	
	FRONTEND_POS_X = 2958.0,
	FRONTEND_POS_Y = 900.0,
	FRONTEND_POS_Z = 1500.0,
	FRONTEND_LOOK_X = 2958.0,
	FRONTEND_LOOK_Y = 0.0,
	FRONTEND_LOOK_Z = 1519.0,
	
	SETTINGS_POS_X = 2958.0,
	SETTINGS_POS_Y = 551.0,
	SETTINGS_POS_Z = 978.0,
	SETTINGS_LOOK_X = 2998.0,
	SETTINGS_LOOK_Y = 0.0,		
	SETTINGS_LOOK_Z = 1364.0,
	
	MP_OPTIONS_POS_X = 2958.0,
	MP_OPTIONS_POS_Y = 922.0,
	MP_OPTIONS_POS_Z = 1048.0,
	MP_OPTIONS_LOOK_X = 2958.0,
	MP_OPTIONS_LOOK_Y = 0.0,	
	MP_OPTIONS_LOOK_Z = 1159.0,
	
	TUTORIAL_POS_X = 2894.0,
	TUTORIAL_POS_Y = 124.0,
	TUTORIAL_POS_Z = 1319.0,
	TUTORIAL_LOOK_X = 2881.0,
	TUTORIAL_LOOK_Y = 21.0,	
	TUTORIAL_LOOK_Z = 1463.0,
	
	CONTENT_POS_X = 2958.0,
	CONTENT_POS_Y = 922.0,
	CONTENT_POS_Z = 1308.0,
	CONTENT_LOOK_X = 2958.0,
	CONTENT_LOOK_Y = 0.0,	
	CONTENT_LOOK_Z = 1519.0,
	
	CREDITS_POS_X = 3077.0,
	CREDITS_POS_Y = 231.0,
	CREDITS_POS_Z = 1508.0,
	CREDITS_LOOK_X = 3080.0,
	CREDITS_LOOK_Y = 19.0,	
	CREDITS_LOOK_Z = 1720.0,
},

}
